<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateAbDomainRegistrarTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('ab_domain_registrar', function(Blueprint $table)
		{
			$table->integer('id')->default(0);
			$table->integer('site_id')->default(0)->index('fk_hrp_set');
			$table->boolean('active')->nullable();
			$table->string('name', 32)->nullable();
			$table->string('file', 32)->nullable();
			$table->string('whitelabel_url', 256)->nullable();
			$table->string('whitelabel_ns', 1024)->nullable();
			$table->string('manage_url', 256)->nullable();
			$table->primary(['id','site_id']);
			$table->unique(['site_id','id'], 'IDS');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('ab_domain_registrar');
	}

}
